<component-section>
  <div slot="title">Inleiding en studiehandleiding</div>
  <component-section>
    <div slot="title">Toetsen</div>
    <figure>
      <figcaption>
        De bovenste rij staat voor de voltijdse tegenhanger van SKA. De onderste voor SKA zelf. De
        <strong>kolommen</strong> staan voor de onderwijsjaren waarin de course is uitgevoerd. De titels van de
        <strong>cellen</strong> staan voor de code van de desbetreffende course. De <strong>vormen</strong> staan voor
        specifieke deeltentamens, aangeduid met hun code. De <strong>pijlen</strong> tussen cellen staan voor
        veranderingen aan de toetsstructuur. De <strong>dikte van de pijlen</strong> staat voor hoe groot het aandeel
        van de oorspronkelijke toets is in de nieuwe toets. Alle deeltentamens die geconverteerd worden wegen gelijk,
        tenzij de pijldikte verschilt. Conversies met verschillende pijldikte zijn nog niet voorgekomen.
      </figcaption>
      <img src="svg/Mutaties_toetsstructuur_course_softwarearchitectuur.min.svg" alt="Mutaties toetsstructuur course" />
    </figure>
    <component-section>
      <div slot="title">ℹ️ Kennistoetsen</div>
      <div>
        Om de twee weken krijg je een kennistoets van een 15 tot 20 minuten over de leerinhoud van de afgelopen twee
        weken. Heb je recht op extra tijd, dan krijg je je percentage aan extra tijd (meestal 25 %). De kennistoetsen
        zijn schriftelijke tentamens. De tentamens worden afgenomen aan het einde van de donderdagles, met je docent als
        surveillant. Deze keer zijn de kennistoetsen helaas op papier, omdat de examencommissie digitaal tentamineren
        heeft opgeschort, vanwege hun zorg over het frauderisico.
      </div>
      <component-section>
        <div slot="title">D_KToets 1</div>
        <div>
          Bestaat uit Lesweek 1 en 2, onderwerpen:
          <ul>
            <li>Je legt software architecture uit.</li>
          </ul>
        </div>
      </component-section>
      <component-section>
        <div slot="title"><code>D_KToets 2</code></div>
        <p>Bestaat uit Lesweek 3 en 4</p>
      </component-section>
      <component-section>
        <div slot="title"><code>D_KToets 3</code></div>
        <p>Bestaat uit Lesweek 5 en 6</p>
      </component-section>
      <component-section>
        <div slot="title"><code>D_KToets 4</code></div>
        <p>Bestaat uit Lesweek 7</p>
      </component-section>
      <component-section>
        <div slot="title"><code>Herkansing</code></div>
        <p>
          Bestaat uit D_KToets 1 tot en met 4. Heb je bijvoorbeeld D-KToets 2 niet behaald (of aan deelgenomen) en
          overige wel, dan hoef je alleen deze te herkansen in OW-9.
        </p>
      </component-section>
    </component-section>
    <component-section>
      <div slot="title">ℹ️ Opdracht Software Architectuur Document <code>(B_SAD)</code></div>
      <component-section>
        <div slot="title">Doel</div>
        <p><strong>Ontwerpen</strong>:</p>
        <p>
          Je ontwerpt onderzoekend een softwarearchitectuur (met bijvoorbeeld broncode, diagrammen en documenten,
          deskundigen en belanghebbenden) die aan een verzameling architecturaal significante vereisten voldoet, en
          levert hiervoor op een Software Architecture Document en broncode.
        </p>
        <p>
          <strong>Raamwerk: </strong>
        </p>
        <p>
          Je beschrijft een softwarearchitectuur volgens een architectuurraamwerk dat voldoet aan de norm
          NEN-ISO/IEC/IEEE 42010 (zoals 4+1 Views of C4), en levert hiervoor een Software Architecture Document op.
        </p>
        <p>
          <strong>Reconstrueren: </strong>
        </p>
        <p>
          Je reconstrueert onderzoekend een softwarearchitectuur (met bijvoorbeeld broncode, diagrammen en documenten,
          deskundigen en belanghebbenden), en levert hiervoor een Software Architecture Document op.
        </p>
        <p>
          <strong>Vereisten: </strong>
        </p>
        <p>
          Je ontwikkelt vereisten voor een softwaresysteem met de norm NEN-ISO/IEC 25010, en levert hiervoor
          architecturaal significante vereisten op.
        </p>
      </component-section>
      <component-section>
        <div slot="title">Beoordeling</div>
        <p>
          Zie het
          <a href="bron/Beoordelingsmodel%20%C2%B7%20Opdracht%20Software%20Architecture%20Document%20(B_SAD).pdf"
            >beoordelingsformulier</a
          >. \(\text{cijfer} = 9 * (\text{punten} / \text{totaal}) + 1\), minimaal 1 en maximaal 10. Voor de weging van
          dit deeltentamen en overige examineringsinformatie, zie
          <a
            href="https://isas.han.nl/Default.aspx?F=OnderwijsAanbodDetails&Studiejaar=2021&Eigenaar=AIM&OWE=ASD+SKA&Back=A&dt=102302893"
            >iSAS</a
          >.
        </p>
      </component-section>
      <component-section>
        <div slot="title">In te leveren</div>
        <p>
          Schrijf je document idealiter als Word-bestand. Lever je uitwerking in als een gecomprimeerd archiefbestand.
          Lever ook duidelijke uitleg mee over wat er allemaal af is.
        </p>
        <p>Lever je document in op iSAS.</p>
      </component-section>
    </component-section>
  </component-section>
  <component-section>
    <div slot="title">Planning</div>
    <figure>
      <figcaption>
        In onderstaande figuur is het schema weergegeven van de lesweken.
        <ul>
          <li>Lesweek 1 tot en met 7 bevat de onderwerpen beschreven in de kolom <strong>Topic</strong>.</li>
          <li>
            De kolom <strong>Bass</strong> verwijst naar de hoofdstukken uit
            <strong>Software Architecture in Practice, Bass L., Clements P., Kazam R.</strong>.
          </li>
          <li>In de kolom <strong>SAD</strong> staat de verwijzing naar de SAD template.</li>
          <li>Lesweek 8 is voor overloop, herhaling en en beantwoorden van vragen.</li>
          <li>
            Om de 2 weken is een deeltentamen gepland. De herkansingen van deze deeltentamens staan gepland in lesweek
            9.
          </li>
        </ul>
      </figcaption>
      <img src="img/ow_planning.png" alt="Overzicht Lesweken" />
    </figure>
  </component-section>
</component-section>
